#!/usr/bin/env bash


systemctl stop docker


rm -rf /var/lib/docker
rm -rf /var/lib/kubelet


echo ""
echo ""
echo ""
df -TH
echo "-----------------------------------------------------------------------"

# 扩容根目录，${VG_NAME}-root 通过df -Th获取需要扩容的文件系统
# lvextend -l +100%FREE /dev/mapper/${VG_NAME}-root
# xfs_growfs /dev/mapper/${VG_NAME}-root

# 自定义 安装lvm2'
echo "n
p



t

8e
w
" | fdisk /dev/vdb
partprobe

# 如果已经存在卷组，直接进行添加
export VG_NAME=datavg
vgcreate ${VG_NAME} /dev/vdb1
export selfpesize=$(vgdisplay ${VG_NAME} | grep 'Total PE' | awk '{print $3}')
# 大小根据实际情况调整
lvcreate -l ${selfpesize} -n lvdata ${VG_NAME}
partprobe

mkfs.xfs /dev/mapper/${VG_NAME}-lvdata
mkdir -p /var/lib/docker
export selffstab="/dev/mapper/${VG_NAME}-lvdata       /var/lib/docker         xfs    defaults        0 0"
echo "${selffstab}" >> /etc/fstab
mount -a

df -TH | grep /var/lib/docker

sleep 3

systemctl restart docker

docker info